javax.media.nativewindow

## Interface CapabilitiesChooser

- All Known Subinterfaces:
    GLCapabilitiesChooser
  All Known Implementing Classes:
    DefaultCapabilitiesChooser, DefaultGLCapabilitiesChooser, GenericGLCapabilitiesChooser

      public interface CapabilitiesChooser

  Provides a mechanism by which applications can customize the window type selection for a given `Capabilities`. Developers can implement this interface and pass an instance into the method `GraphicsConfigurationFactory.chooseGraphicsConfiguration(javax.media.nativewindow.CapabilitiesImmutable, javax.media.nativewindow.CapabilitiesImmutable, javax.media.nativewindow.CapabilitiesChooser, javax.media.nativewindow.AbstractGraphicsScreen, int)`; the chooser will be called at window creation time.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `chooseCapabilities(CapabilitiesImmutable desired, List<? extends CapabilitiesImmutable> available, int windowSystemRecommendedChoice)` Chooses the index (0..available.length - 1) of the `Capabilities` most closely matching the desired one from the list of all supported.

- - ### Method Detail

    - #### chooseCapabilities

          int chooseCapabilities(CapabilitiesImmutable desired,
                               List<? extends CapabilitiesImmutable> available,
                               int windowSystemRecommendedChoice)

      Chooses the index (0..available.length - 1) of the `Capabilities` most closely matching the desired one from the list of all supported. Some of the entries in the `available` array may be null; the chooser must ignore these. The windowSystemRecommendedChoice parameter may be provided to the chooser by the underlying window system; if this index is valid, it is recommended, but not necessarily required, that the chooser select that entry.

      Note: this method is called automatically by the `GraphicsConfigurationFactory.chooseGraphicsConfiguration(javax.media.nativewindow.CapabilitiesImmutable, javax.media.nativewindow.CapabilitiesImmutable, javax.media.nativewindow.CapabilitiesChooser, javax.media.nativewindow.AbstractGraphicsScreen, int)` method when an instance of this class is passed in to it. It should generally not be invoked by users directly, unless it is desired to delegate the choice to some other CapabilitiesChooser object.

Copyright 2010 JogAmp Community.